Summary:	A small utility for safely making /tmp files
Name:		mktemp
Version:	1.5
Release:	%mkrel 14
License:	BSD
Group:		File tools
Url:		http://www.mktemp.org/
Source:		ftp://ftp.mktemp.org/pub/mktemp/mktemp-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The mktemp utility takes a given file name template and overwrites
a portion of it to create a unique file name.  This allows shell
scripts and other programs to safely create and use /tmp files.

Install the mktemp package if you need to use shell scripts or other
programs which will create and use unique /tmp files.

%prep
%setup

%build
%configure2_5x --bindir=/bin
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

perl -pi -e "s!/usr/man!%{_mandir}!g" Makefile

%makeinstall bindir=%{buildroot}/bin

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) /bin/%{name}
%{_mandir}/man1/mktemp.1*


%changelog
* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-14mdv2007.0
+ Revision: 119918
- Import mktemp



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.5-13mdk
- Rebuild

* Fri Feb 11 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.5-12mdk
- rebuild with newer source (bug #13494)

* Sun May 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.5-11mdk
- rebuild for rpm 4.2

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5-10mdk
- Remove unneeded step in %%install section

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-9mdk
- resync with rh patches (enabled -d for mkinitrd).

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-8mdk
- macros, BM
- let spechelper do the man-pages compression job ...

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-7mdk
- group fix

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- fix build as non-root

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgrade of man-pages(r).

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgarde to 1.5.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- moved to /bin
